Skip to main content
POST
/
api
/
v1
/
analytics
/
fan-outs
/
queries
/
{queryId}
/
fan-outs
Fan-outs for a specific query
curl --request POST \
  --url https://api.mentionlab.io/api/v1/analytics/fan-outs/queries/{queryId}/fan-outs \
  --header 'Content-Type: application/json' \
  --header 'x-project-id: <x-project-id>' \
  --data '
{
  "startDate": "2025-01-01",
  "endDate": "2025-02-01",
  "countries": [
    "BE",
    "FR"
  ],
  "languages": [
    "en",
    "fr"
  ],
  "models": [
    "gpt-4o",
    "claude-3-5-sonnet"
  ],
  "queryIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "queryTagIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "execTagIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "queryTagMode": "or",
  "execTagMode": "or",
  "timezone": "Europe/Brussels",
  "page": 1,
  "pageSize": 50
}
'
{
  "totalResponsesForQuery": 44,
  "fanOuts": [
    {
      "fanOutText": "HubSpot vs Salesforce pricing comparison",
      "occurrenceCount": 8,
      "rate": 18.18
    }
  ],
  "page": {
    "totalRecords": 123,
    "limit": 123,
    "currentPage": 123,
    "totalPages": 123,
    "nextPage": 123,
    "prevPage": 123
  }
}

Headers

x-project-id
string
required

Project ID to specify the project context

Path Parameters

queryId
string
required

UUID of the query to retrieve individual fan-out texts for.

Example:

"3f1a2b4c-5d6e-7f80-9a1b-2c3d4e5f6071"

Body

application/json
startDate
string

Start date (inclusive)

Example:

"2025-01-01"

endDate
string

End date (exclusive)

Example:

"2025-02-01"

countries
string[]

Filter by country codes

Example:
["BE", "FR"]
languages
string[]

Filter by language codes

Example:
["en", "fr"]
models
string[]

Filter by AI models

Example:
["gpt-4o", "claude-3-5-sonnet"]
queryIds
string[]

Filter by query IDs

Example:
["3fa85f64-5717-4562-b3fc-2c963f66afa6"]
hasSources
enum<string>

Filter by source presence: "sources" (only with sources), "no_sources" (only without), "all" (no filter). Legacy true/false values are still accepted.

Available options:
all,
sources,
no_sources
hasShopping
enum<string>

Filter by shopping presence: "shopping" (only with shopping), "no_shopping" (only without), "all" (no filter). Legacy true/false values are still accepted.

Available options:
all,
shopping,
no_shopping
queryTagIds
string[]

Filter by query tag IDs

Example:
["3fa85f64-5717-4562-b3fc-2c963f66afa6"]
execTagIds
string[]

Filter by execution tag IDs

Example:
["3fa85f64-5717-4562-b3fc-2c963f66afa6"]
queryTagMode
enum<string>
default:or

Query tag matching mode: "or" matches ANY tag (default), "and" matches ALL tags.

Available options:
and,
or
execTagMode
enum<string>
default:or

Execution tag matching mode: "or" matches ANY tag (default), "and" matches ALL tags.

Available options:
and,
or
timezone
string
default:UTC

IANA timezone for date bucketing and filtering (e.g. "Europe/Brussels"). Defaults to UTC.

Example:

"Europe/Brussels"

page
number

Page number (1-based).

Example:

1

pageSize
number

Results per page. Default: 50, max: 200.

Example:

50

Response

totalResponsesForQuery
number
required

Number of distinct AI responses for this query that produced at least one fan-out. Used as the denominator for the rate calculation.

Example:

44

fanOuts
object[]
required

Fan-outs for this query, ordered by occurrenceCount descending.

page
object
required

Pagination metadata.